Package net.paulhertz.pixelaudio.curves

# Enum Class PABoundsPolicy.PABoundaryMode

java.lang.Object
java.lang.Enum<PABoundsPolicy.PABoundaryMode>
net.paulhertz.pixelaudio.curves.PABoundsPolicy.PABoundaryMode

All Implemented Interfaces:
  `Serializable`, `Comparable<PABoundsPolicy.PABoundaryMode>`, `Constable`

Enclosing class:
  PABoundsPolicy

public static enum PABoundsPolicy.PABoundaryMode extends Enum<PABoundsPolicy.PABoundaryMode>
Provides descriptors for PABoundsPolicy: CLIP, WRAP, REFLECT, SKIP_TIME, KEEP_TIME.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLIP`
  Clamp coordinates to bounds.
  `KEEP_TIME`
  Drop out-of-bounds points but preserve original timing.
  `REFLECT`
  Reflect coordinates across bounds (mirror behavior).
  `SKIP_TIME`
  Drop out-of-bounds points and collapse time across removed spans.
  `WRAP`
  Wrap coordinates modulo width/height (toroidal space).

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `private`
  `PABoundaryMode()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PABoundsPolicy.PABoundaryMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PABoundsPolicy.PABoundaryMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CLIP

    public static final PABoundsPolicy.PABoundaryMode CLIP
    Clamp coordinates to bounds.

  - ### WRAP

    public static final PABoundsPolicy.PABoundaryMode WRAP
    Wrap coordinates modulo width/height (toroidal space).

  - ### REFLECT

    public static final PABoundsPolicy.PABoundaryMode REFLECT
    Reflect coordinates across bounds (mirror behavior).

  - ### SKIP_TIME

    public static final PABoundsPolicy.PABoundaryMode SKIP_TIME
    Drop out-of-bounds points and collapse time across removed spans.

  - ### KEEP_TIME

    public static final PABoundsPolicy.PABoundaryMode KEEP_TIME
    Drop out-of-bounds points but preserve original timing.

- ## Constructor Details

  - ### PABoundaryMode

    private PABoundaryMode()

- ## Method Details

  - ### values

    public static PABoundsPolicy.PABoundaryMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PABoundsPolicy.PABoundaryMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null